Package wx :: Class DropTarget

[frames | no frames]

## Type DropTarget

    object --+
             |
            DropTarget

Known Subclasses:
  `FileDropTarget`, `TextDropTarget`

Proxy of C++ DropTarget class

Method Summary
DropTarget | `__init__(self, dataObject)`
| `__del__(self)`
| ``base_OnDragOver`(*args, **kwargs)` Please use DropTarget.OnDragOver instead.
| ``base_OnDrop`(*args, **kwargs)` Please use DropTarget.OnDrop instead.
| ``base_OnEnter`(*args, **kwargs)` Please use DropTarget.OnEnter instead.
| ``base_OnLeave`(*args, **kwargs)` Please use DropTarget.OnLeave instead.
bool | `GetData(self)`
DataObject | `GetDataObject(self)`
int | `GetDefaultAction(self)`
int | `OnDragOver(self, x, y, def)`
bool | `OnDrop(self, x, y)`
int | `OnEnter(self, x, y, def)`
| `OnLeave(self)`
| `SetDataObject(self, dataObject)`
| `SetDefaultAction(self, action)`

Property Summary
| `DataObject`: See `GetDataObject` and `SetDataObject`
| `DefaultAction`: See `GetDefaultAction` and `SetDefaultAction`
| `thisown`: The membership flag

Method Details

### base_OnDragOver(*args, **kwargs)

Please use DropTarget.OnDragOver instead.

### base_OnDrop(*args, **kwargs)

Please use DropTarget.OnDrop instead.

### base_OnEnter(*args, **kwargs)

Please use DropTarget.OnEnter instead.

### base_OnLeave(*args, **kwargs)

Please use DropTarget.OnLeave instead.

Property Details

### DataObject

See `GetDataObject` and `SetDataObject`

  Get Method:
    `GetDataObject`(self)
  Set Method:
    `SetDataObject`(self, dataObject)

### DefaultAction

See `GetDefaultAction` and `SetDefaultAction`

  Get Method:
    `GetDefaultAction`(self)
  Set Method:
    `SetDefaultAction`(self, action)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:29 2007 | http://epydoc.sf.net